<?php

global $db, $INCLUDE_FOLDER, $MODULE_VARS, $ADMIN_FOLDER, $TMP_FOLDER;

if ( !function_exists('LoadModuleEnv') ) {
  require_once($INCLUDE_FOLDER."s_loadenv.inc.php");
}
LoadModuleEnv();

require_once $ADMIN_FOLDER."class/import.inc.php";

// Create classificator function
if ( !function_exists("CreateClassificator") ) {
  function CreateClassificator ($table_name, $classificator_name, $values = false) {
    global $db;
    
    $table_name = $db->escape($table_name);
    $classificator_name = $db->escape($classificator_name);
    
    $db->query("INSERT INTO `Classificator`
       SET `Classificator_Name` = '".$classificator_name."',
       `Table_Name` = '".$table_name."',
       `System` = 0");

    $db->query("CREATE TABLE `Classificator_".$table_name."` (
      `".$table_name."_ID` int(11) NOT NULL auto_increment,
      `".$table_name."_Name` char(255) NOT NULL default '',
      `".$table_name."_Priority` int(11) NOT NULL,
      `Value` text default NULL,
      `Checked` int(1) default 1,
      PRIMARY KEY  (`".$table_name."_ID`))");

    if ( !empty($values) ) {
      foreach ($values as $k => $v) {
        $db->query("INSERT INTO `Classificator_".$table_name."`
          SET `".$table_name."_Name` = '".$db->escape($v)."',
          `".$table_name."_Priority` = '".($k + 1)."',
          `Value` = NULL,
          `Checked` = 1");
      }
    }
  }
}

//    
$db->query("INSERT INTO `Module` (`Module_Name`, `Keyword`, `Description`, `Parameters`, `Example_URL`, `Help_URL`, `Installed`, `Number`, `Inside_Admin`) VALUES ('NETCAT_MODULE_FORUM2', 'forum2', 'NETCAT_MODULE_FORUM2_DESCRIPTION', '', '', '/settings/modules/forum2/', 0, '', 1);");

//   
$paramfile = fopen($TMP_FOLDER."modules/forum2/parameters.txt", "r");
$Parameters = fread($paramfile, filesize($TMP_FOLDER."modules/forum2/parameters.txt") );
fclose($paramfile);
@unlink($MODULE_FOLDER."forum2/parameters.txt");

$lang = NetCat_language_detect();
$int = ($lang=="Russian" ? "" : "_int");

// default language
if($lang=="Russian") {
  require_once($TMP_FOLDER."modules/forum2/ru.lang.php");
}
else {
  require_once($TMP_FOLDER."modules/forum2/en.lang.php");
}
	
// international
$int = (MAIN_LANG=="ru" ? "" : "_int");
require_once $ADMIN_FOLDER."class/import.inc.php";
// forum
$class_forum = ParseClassFile($TMP_FOLDER."modules/forum2/tpl".$int."/forum_class.tpl");
$Parameters = UpdateParameters($Parameters, "FORUM_CLASS_ID", $class_forum);
// forum template
$class_forum_rss = $db->get_var("SELECT `Class_ID` FROM `Class` WHERE `ClassTemplate` = '".$class_forum."'");
$Parameters = UpdateParameters($Parameters, "FORUM_RSS_CLASS_ID", $class_forum_rss);
// topic
$class_topic = ParseClassFile($TMP_FOLDER."modules/forum2/tpl".$int."/topic_class.tpl");
$Parameters = UpdateParameters($Parameters, "TOPIC_CLASS_ID", $class_topic);
// topic template
$class_topic_rss = $db->get_var("SELECT `Class_ID` FROM `Class` WHERE `ClassTemplate` = '".$class_topic."'");
$Parameters = UpdateParameters($Parameters, "TOPIC_RSS_CLASS_ID", $class_topic_rss);
// reply
$class_reply = ParseClassFile($TMP_FOLDER."modules/forum2/tpl".$int."/reply_class.tpl");
$Parameters = UpdateParameters($Parameters, "REPLY_CLASS_ID", $class_reply);
// reply template
$class_reply_rss = $db->get_var("SELECT `Class_ID` FROM `Class` WHERE `ClassTemplate` = '".$class_reply."'");
$Parameters = UpdateParameters($Parameters, "REPLY_RSS_CLASS_ID", $class_reply_rss);
// last messages
ParseClassFile($TMP_FOLDER."modules/forum2/tpl".$int."/last_class.tpl");

CreateClassificator("ForumTopicType", NETCAT_MODULE_FORUM2_FORUM_TOPIC_TYPE, array(NETCAT_MODULE_FORUM2_FORUM_TOPIC_TYPE_SIMPLE, NETCAT_MODULE_FORUM2_FORUM_TOPIC_TYPE_IMPORTANT, NETCAT_MODULE_FORUM2_FORUM_TOPIC_TYPE_ADVERTISEMENT));

//    
$db->query("UPDATE `Module` SET `Parameters` = '".$Parameters."' WHERE `Keyword` = 'forum2'");

//  
$tpldir = $MODULE_FOLDER."forum2/tpl/";
if( @is_dir($tpldir) ) {
    if($dh = @opendir($tpldir)) {
        while( ($file = @readdir($dh))!== false ) {
            if($file=="." || $file=="..") continue;
      @unlink($tpldir.$file);
        }
        @closedir($dh);
    }
}
@rmdir($tpldir);

$tpldir = $MODULE_FOLDER."forum2/tpl_int/";
if( is_dir($tpldir) ) {
    if($dh = @opendir($tpldir)) {
        while( ($file = readdir($dh))!== false ) {
      if($file=="." || $file=="..") continue;
      @unlink($tpldir.$file);
        }
        closedir($dh);
    }
}
@rmdir($tpldir);
	
?>