-- table `Forum_Count`
CREATE TABLE `Forum_Count` (`ID` int(11) unsigned NOT NULL auto_increment, `Subdivision_ID` int(11) unsigned NOT NULL default '0', `Topics` int(11) unsigned NOT NULL default '0', `Replies` int(11) unsigned NOT NULL default '0', `Last_Topic_ID` int(10) unsigned NOT NULL default '0', `Last_Reply_ID` int(10) unsigned NOT NULL default '0', PRIMARY KEY  (`ID`), KEY `Subdivision_ID` (`Subdivision_ID`), KEY `Last_Topic_ID` (`Last_Topic_ID`), KEY `Last_Reply_ID` (`Last_Reply_ID`)) ENGINE=MyISAM DEFAULT CHARSET=cp1251;
-- table `Forum_Groups`
CREATE TABLE `Forum_Groups` (`ID` int(10) unsigned NOT NULL auto_increment, `Subdivision_ID` int(10) unsigned default NULL, `Name` varchar(255) NOT NULL, `Description` text NOT NULL, `Priority` int(10) default NULL, PRIMARY KEY  (`ID`), KEY `Parent_ID` (`Subdivision_ID`)) ENGINE=MyISAM DEFAULT CHARSET=cp1251;
-- table `Forum_Subdivisions`
CREATE TABLE `Forum_Subdivisions` (`ID` int(10) unsigned NOT NULL auto_increment, `Subdivision_ID` int(10) unsigned NOT NULL default '0', `Sub_Class_ID` int(10) unsigned NOT NULL default '0', `Type` enum('parent','forum') NOT NULL default 'parent', `Group_ID` int(10) unsigned NOT NULL, `Description` text NOT NULL, PRIMARY KEY  (`ID`), KEY `Subdivision_ID` (`Subdivision_ID`), KEY `Sub_Class_ID` (`Sub_Class_ID`), KEY `Group_ID` (`Group_ID`)) ENGINE=MyISAM DEFAULT CHARSET=cp1251;
-- table `Forum_Topics`
CREATE TABLE `Forum_Topics` (`ID` int(10) unsigned NOT NULL auto_increment, `Subdivision_ID` int(10) unsigned NOT NULL default '0', `Topic_ID` int(10) unsigned NOT NULL default '0', `Replies` int(10) unsigned NOT NULL default '0', `Last_Reply_ID` int(10) unsigned NOT NULL default '0', PRIMARY KEY  (`ID`), KEY `Subdivision_ID` (`Subdivision_ID`), KEY `Topic_ID` (`Topic_ID`), KEY `Last_Reply_ID` (`Last_Reply_ID`)) ENGINE=MyISAM DEFAULT CHARSET=cp1251;